consultar();
//Consultar all
function dataTable(){
        let pe= permiso;
        let u = username;
        $.ajax({
            url: 'back-end/usuarios.php',
            type: 'GET',
            data:{u},
            success: function(response){
            let o = JSON.parse(response);;
                $('#list_usuarios').dataTable( {
                    retrieve: true,
                    data : o,
                    columns: [
                        {"data" : "usuario"}, 
                        {"data" : "nombre"},
                        {"data" : "telefono"},
                        {"data" : "perfil"},
                        {"data" : "vehiculo"},
                        {"data" : "fecha"},
                        {"data" : "btn"}                             
                    ],
                    "language": {
                        url: "lib/js/es.json"
                    }
                });
            
            }
        })
}
function consultar(){
    $(document).ready(function(){
        if ( $.fn.dataTable.isDataTable( '#list_usuarios' ) ) {
            table = $('#list_usuarios').DataTable();
            table.destroy();
            dataTable();
        }else{
            dataTable();
        }
    })
}
//Filtros
function filtro(){
    if(document.getElementById("info_list").className=='col-md-12'){
        document.getElementById("filtro_list").style.display ="block";
        document.getElementById("filtro_list").className = "col-md-3";
        document.getElementById("info_list").className = "col-md-9";
    }else{
        document.getElementById("filtro_list").style.display ="none";
        document.getElementById("filtro_list").className = "";
        document.getElementById("info_list").className = "col-md-12";
    }
}
function aplicar_filtro(){
    if ( $.fn.dataTable.isDataTable( '#list_guias' ) ) {
        table = $('#list_guias').DataTable();
        table.destroy();
    }
    const postData = {
        filtro: 'SI',
        desde: $('#desde').val(),
        hasta: $('#hasta').val(),
        guia: $('#nro_guia_fil').val(),
        estado: $('#estado_fil').val(),
        cliente: $('#cliente_fil').val()
    }
    $.ajax({
        url: 'back-end/guias.php',
        type: 'GET',
        data:postData,
        success: function(response){
        let f = JSON.parse(response);
        console.log(f)
            $('#list_guias').dataTable( {
                retrieve: true,
                data : f,
                columns: [
                    {"data" : "guia"}, 
                    {"data" : "estado"},
                    {"data" : "vehiculo"},
                    {"data" : "cliente"},
                    {"data" : "telefono"},
                    {"data" : "fecha"}                              
                ],
                "language": {
                    url: "lib/js/es.json"
                }
            });
        
        }
    })
}

//Inactivar
function off(id){
    let id_user_off = id;
    $.post('back-end/usuarios.php', {id_user_off}, function(response){
        consultar();
        $('#resultado').html(response);
        setTimeout(function(){ $('#alerta1').fadeOut(); }, 3000);
    }); 
}
//Inactivar
function on(id){
    let id_user_on = id;
    $.post('back-end/usuarios.php', {id_user_on}, function(response){
        consultar();
        $('#result_edit').html(response);
        setTimeout(function(){ $('#alerta1').fadeOut(); }, 3000);
    }); 
}

//Consultar Detalles
function detalles(id){
    let id_user = id; 
    $('#f_id_user').val(id_user);
    
}

function aplicar_cambio(){
    let id_user_placa = $('#f_id_user').val();
    let f_placa = $('#f_placa').val();
    $.post('back-end/usuarios.php', {id_user_placa,f_placa}, function(response){
        $("#cambio_placa").modal("hide");
        consultar();
        $('#resultado').html(response);
        setTimeout(function(){ $('#alerta1').fadeOut();}, 3000);
    }); 
}


